#include "BellowsValve.hpp"

BellowsValve::BellowsValve() : MotorizedValve()
{
}

BellowsValve::BellowsValve(const valve_ctrl_func valveCtrl, const bool_ret_func openFunc,
						   const bool_ret_func readyFunc) :
	MotorizedValve(),
	setMotorizedValve_(valveCtrl), isMotorizedValveOpen_(openFunc),
	isMotorizedValveReady_(readyFunc)
{
}

void BellowsValve::openMV()
{
	setMotorizedValve_(MotorizedValve::STATE::OPEN);
}

void BellowsValve::closeMV()
{
	setMotorizedValve_(MotorizedValve::STATE::CLOSED);
}

bool BellowsValve::isMVOpen()
{
	return isMotorizedValveOpen_();
}

bool BellowsValve::isMVReady()
{
	return isMotorizedValveReady_();
}
